<?php 

if (!function_exists('urbamag_css_custom')) {

	function urbamag_css_custom() { 

		$css = '';
		$woocommerce = '';

		/* =================== BEGIN BODY STYLE =================== */

		if (urbamag_setting('urbamag_body_font_family')) 
			$css .= "body { font-family:".esc_html(urbamag_google_font_name('urbamag_body_font_family'))."; }";
		
		/* =================== END BODY WIDTH =================== */

		/* =================== BEGIN HEADER TEXT COLOR =================== */

		if (urbamag_setting('urbamag_header_text_color')) :

			$css .= '
				#header,
				#logo a,
				.header-search a,
				nav.header-menu ul li a,
				.open-modal-sidebar i { color:' . esc_html(urbamag_setting('urbamag_header_text_color')) . '}';
			
			$woocommerce .= '
				.header-cart a.cart-contents,
				.header-cart a span { color:' . esc_html(urbamag_setting('urbamag_header_text_color')) . '}';

		endif;
		
		/* =================== END HEADER TEXT COLOR =================== */

		/* =================== BEGIN LOGO STYLE =================== */

		if (urbamag_setting('urbamag_logo_font_family')) 
			$css .= "#logo a { font-family:".esc_html(urbamag_google_font_name('urbamag_logo_font_family'))."; }";

		if (urbamag_setting('urbamag_logo_font_size')) 
			$css .= "#logo a { font-size:".esc_html(urbamag_setting('urbamag_logo_font_size'))."; }";

		if (urbamag_setting('urbamag_logo_font_weight'))
			$css .= "#logo a { font-weight:" . esc_html(urbamag_setting('urbamag_logo_font_weight')) . ";}"; 
		
		if (urbamag_setting('urbamag_logo_text_transform'))
			$css .= "#logo a { text-transform:" . esc_html(urbamag_setting('urbamag_logo_text_transform')) . ";}"; 

		if (urbamag_setting('urbamag_logo_description_font_family')) 
			$css .= "#logo a span { font-family:".esc_html(urbamag_google_font_name('urbamag_logo_description_font_family'))."; }";

		if (urbamag_setting('urbamag_logo_description_font_weight')) 
			$css .= "#logo a span { font-weight:" . esc_html(urbamag_setting('urbamag_logo_description_font_weight')) . ";}"; 

		if (urbamag_setting('urbamag_logo_description_font_size')) 
			$css .= "#logo a span { font-size:".esc_html(urbamag_setting('urbamag_logo_description_font_size'))."; }";
		
		if (urbamag_setting('urbamag_logo_description_top_margin')) :

			$css .= '
				#logo a span { 
					margin-top:' . esc_html(urbamag_setting('urbamag_logo_description_top_margin')) . 'px;
				}';

		endif;

		/* =================== END LOGO STYLE =================== */

		/* =================== BEGIN MAIN MENU STYLE =================== */

		if (urbamag_setting('urbamag_menu_font_family')) 
			$css .= "nav.header-menu ul li a, nav.header-menu ul ul li a { font-family:".esc_html(urbamag_google_font_name('urbamag_menu_font_family'))."; }";
		
		if ( urbamag_setting('urbamag_menu_font_size') )  : 
			$css .= "nav.header-menu ul li a { font-size:".esc_html(urbamag_setting('urbamag_menu_font_size'))."; }"; 
			$css .= "nav.header-menu ul ul li a { font-size:" . ( str_replace("px", "", esc_html(urbamag_setting('urbamag_menu_font_size'))) - 2 ) . "px;}"; 
		endif;
		
		if (urbamag_setting('urbamag_menu_font_weight'))
			$css .= "nav.header-menu ul li a { font-weight:" . esc_html(urbamag_setting('urbamag_menu_font_weight')) . ";}"; 
		
		if (urbamag_setting('urbamag_menu_text_transform'))
			$css .= "nav.header-menu ul li a { text-transform:" . esc_html(urbamag_setting('urbamag_menu_text_transform')) . ";}"; 

		/* =================== END MAIN MENU STYLE =================== */

		/* =================== BEGIN MOBILE MENU STYLE =================== */

		if (urbamag_setting('urbamag_mobile_menu_font_family')) 
			$css .= "nav#mobilemenu ul li a, nav#mobilemenu ul ul li a { font-family:".esc_html(urbamag_google_font_name('urbamag_mobile_menu_font_family'))."; }";

		if ( urbamag_setting('urbamag_mobile_menu_font_size') )  : 
			$css .= "nav#mobilemenu ul li a { font-size:".esc_html(urbamag_setting('urbamag_mobile_menu_font_size'))."; }"; 
			$css .= "nav#mobilemenu ul ul li a { font-size:" . ( str_replace("px", "", esc_html(urbamag_setting('urbamag_mobile_menu_font_size'))) - 2 ) . "px;}"; 
		endif;
		
		if (urbamag_setting('urbamag_mobile_menu_font_weight'))
			$css .= "nav#mobilemenu ul li a { font-weight:" . esc_html(urbamag_setting('urbamag_mobile_menu_font_weight')) . ";}"; 
		
		if (urbamag_setting('urbamag_mobile_menu_text_transform'))
			$css .= "nav#mobilemenu ul li a { text-transform:" . esc_html(urbamag_setting('urbamag_mobile_menu_text_transform')) . ";}"; 
		
		/* =================== END MOBILE MENU =================== */
		
		/* =================== BEGIN CONTENT STYLE =================== */
		
		if ( urbamag_setting('urbamag_content_font_size') ) :
			
			$css .= '
				.post-article a,
				.post-article p,
				.post-article li,
				.post-article address,
				.post-article dd,
				.post-article blockquote,
				.post-article td,
				.post-article th,
				.post-article span,
				.sidebar-area a,
				.sidebar-area p,
				.sidebar-area li,
				.sidebar-area address,
				.sidebar-area dd,
				.sidebar-area blockquote,
				.sidebar-area td,
				.sidebar-area th,
				.sidebar-area span,
				.textwidget { font-size:' . esc_html(urbamag_setting('urbamag_content_font_size')) . '}';
			
		endif;
		
		/* =================== END CONTENT STYLE =================== */
		
		/* =================== START TITLE STYLE =================== */

		if ( urbamag_setting('urbamag_h1_font_size') ) :
		
			$css .=  "
				h1, 
				h1.title, 
				h1.title a, 
				h1.title span { font-size:" . esc_html(urbamag_setting('urbamag_h1_font_size')) . "; }"; 
		
		endif;
		
		if ( urbamag_setting('urbamag_h2_font_size') ) :
		
			$css .=  "
				h2, 
				h2.title, 
				h2.title a, 
				h2.title span { font-size:" . esc_html(urbamag_setting('urbamag_h2_font_size')) . "; }"; 
		
		endif;
		
		if ( urbamag_setting('urbamag_h3_font_size') ) :
		
			$css .=  "
				h3, 
				h3.title, 
				h3.title a, 
				h3.title span { font-size:" . esc_html(urbamag_setting('urbamag_h3_font_size')) . "; }"; 
		
		endif;
		
		if ( urbamag_setting('urbamag_h4_font_size') ) :
		
			$css .=  "
				h4, 
				h4.title, 
				h4.title a, 
				h4.title span { font-size:" . esc_html(urbamag_setting('urbamag_h4_font_size')) . "; }"; 
		
		endif;
		
		if ( urbamag_setting('urbamag_h5_font_size') ) :
		
			$css .=  "
				h5, 
				h5.title, 
				h5.title a, 
				h5.title span { font-size:" . esc_html(urbamag_setting('urbamag_h5_font_size')) . "; }"; 
		
		endif;
		
		if ( urbamag_setting('urbamag_h6_font_size') ) :
		
			$css .=  "
				h6, 
				h6.title, 
				h6.title a, 
				h6.title span { font-size:" . esc_html(urbamag_setting('urbamag_h6_font_size')) . "; }"; 
		
		endif;

		if ( urbamag_setting('urbamag_headlines_font_family') ) :
		
			$css .=  "
	
				h1,
				h2,
				h3,
				h4,
				h5,
				h6,
				h1.title a,
				h2.title a,
				h3.title a,
				h4.title a,
				h5.title a,
				h6.title a,
				h1.title span,
				h2.title span,
				h3.title span,
				h4.title span,
				h5.title span,
				h6.title span { font-family:".esc_html(urbamag_google_font_name('urbamag_headlines_font_family'))."; }"; 
		
		endif;

		if ( urbamag_setting('urbamag_titles_font_weight') ) :
		
			$css .=  "
	
				h1,
				h2,
				h3,
				h4,
				h5,
				h6,
				h1.title a,
				h2.title a,
				h3.title a,
				h4.title a,
				h5.title a,
				h6.title a,
				h1.title span,
				h2.title span,
				h3.title span,
				h4.title span,
				h5.title span,
				h6.title span { font-weight:" . esc_html(urbamag_setting('urbamag_titles_font_weight')) . "; }"; 
		
		endif;
		
		if ( urbamag_setting('urbamag_titles_text_transform') ) :
		
			$css .=  "
	
				h1,
				h2,
				h3,
				h4,
				h5,
				h6,
				h1.title a,
				h2.title a,
				h3.title a,
				h4.title a,
				h5.title a,
				h6.title a { text-transform:" . esc_html(urbamag_setting('urbamag_titles_text_transform')) . "; }"; 
		
		endif;
		
		if ( urbamag_setting('urbamag_h2_font_size') && urbamag_is_woocommerce_active() ) :
		
			$woocommerce .=  "
				.cross-sells h2 span,
				.upsells-products h2 span,
				.related-products h2 span { font-size:" . esc_html(urbamag_setting('urbamag_h2_font_size')) . "; }"; 
		
		endif;

		/* =================== END TITLE STYLE =================== */

		/* =================== BEGIN POST META STYLE =================== */
		
		if ( urbamag_setting('urbamag_postmeta_font_size') ) :
			
			$css .= '
			.post-meta-author ,
			.post-meta-author a,
			.post-meta-date,
			.post-meta-category ,
			.post-meta-category a,
			.post-meta-icon { font-size:' . esc_html(urbamag_setting('urbamag_postmeta_font_size')) . ' !important}';
			
		endif;

		if ( urbamag_setting('urbamag_postmeta_text_transform') ) :
			
			$css .= '
			.post-meta-author ,
			.post-meta-date,
			.post-meta-category ,
			.post-meta-icon { text-transform:' . esc_html(urbamag_setting('urbamag_postmeta_text_transform')) . ' !important}';
			
		endif;

		/* =================== END POST META =================== */

		wp_add_inline_style( 'urbamag-style', $css );
		wp_add_inline_style( 'urbamag-woocommerce', $woocommerce );
		
	}

	add_action('wp_enqueue_scripts', 'urbamag_css_custom');

}

?>